Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class RSAKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.RSAKeyParameters

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  RSAPrivateCrtKeyParameters

    public class RSAKeyParameters

extends AsymmetricKeyParameter

Constructor Summary
`RSAKeyParameters(boolean isPrivate, java.math.BigInteger modulus, java.math.BigInteger exponent)`

Method Summary
`java.math.BigInteger` `getExponent()`
`java.math.BigInteger` `getModulus()`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAKeyParameters

    public RSAKeyParameters(boolean isPrivate,
                            java.math.BigInteger modulus,
                            java.math.BigInteger exponent)

Method Detail

### getModulus

    public java.math.BigInteger getModulus()

### getExponent

    public java.math.BigInteger getExponent()

Bouncy Castle Cryptography Library 1.45